import "../../chunk-2B2CG5KL.js";
import { provider } from "../../utils";
const sendFile = ({ inject: { pathUtils } }) => ({ res, filepath, from = "app", next = () => {
} }) => {
  res.sendFile(pathUtils.joinFrom(from, filepath), (error) => {
    if (error) {
      next(error);
    } else {
      res.end();
    }
  });
};
const sendFileProvider = provider((app) => {
  app.set(
    "sendFile",
    () => sendFile({
      inject: {
        pathUtils: app.get("pathUtils")
      }
    })
  );
});
export {
  sendFile,
  sendFileProvider
};
//# sourceMappingURL=sendFile.js.map